Package org.eclipse.net4j.util.om.log

# Enum Class OMLogger.Level

java.lang.Object
java.lang.Enum<OMLogger.Level>
org.eclipse.net4j.util.om.log.OMLogger.Level

All Implemented Interfaces:
  `Serializable`, `Comparable<OMLogger.Level>`, `Constable`

Enclosing interface:
  OMLogger

public static enum OMLogger.Level extends Enum<OMLogger.Level>
Enumerates the possible severity levels of log events.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEBUG`
`ERROR`
`INFO`
`WARN`

## Method Summary

Modifier and Type
Method
Description
`static OMLogger.Level`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OMLogger.Level[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ERROR

public static final OMLogger.Level ERROR

### WARN

public static final OMLogger.Level WARN

### INFO

public static final OMLogger.Level INFO

### DEBUG

public static final OMLogger.Level DEBUG

## Method Details

### values

public static OMLogger.Level[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static OMLogger.Level valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null